[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Graphics' (#lcl)

# TCanvas.OnChanging

Event handler signalled prior to changing the canvas.

## Declaration

Source position: graphics.pp line 1183

`published property TCanvas.OnChanging : TNotifyEvent read FOnChanging write FOnChanging;`

## Description

OnChanging is a TNotifyEvent property which contains an event handler signalled before changing values in the canvas. The event handler is signalled (when assigned) from the Changing method, which is called before starting a drawing operation that alters the Pixels on the canvas.

Assign an object procedure to the property which implements the signature in TNotifyEvent to respond to the event notification.

Use OnChange to respond to the notification that occurs when a drawing operation is completed.

## See also

TCanvas.OnChange |  | Event handler signalled after a change to the canvas.